#
# spec file for package bff
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           bff
Version:        1.0.4
Release:        17.1
License:        BSD-3-Clause
Summary:        Slightly-optimizing Brainfuck interpreter
Url:            http://swapped.cc/bf/
Group:          Development/Languages/Other
Source:         http://swapped.cc/bff/files/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Slightly-optimizing (tm) Brainfuck interpreter

%prep
%setup -q

%build
gcc %{optflags} -DNDEBUG bff.c -o bff

%install
install -D -m 755 bff %{buildroot}%{_bindir}/%{name}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc README

%changelog
* Sun Sep 18 2011 adam@mizerski.pl
- update to 1.0.4
- use gcc directly instead of make
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Fri May 27 2011 cfarrell@novell.com
- license update: BSD-3-Clause
  Spec file should have license with version. Use syntax from
  spdx.org/licenses
* Sun Apr 11 2010 adam@mizerski.pl
- new package
